package linux

import "fmt" 


func EventTypeToString(e uint) string { 
    switch e {
        case EV_SYN: return "EV_SYN"
        case EV_KEY: return "EV_KEY"
        case EV_REL: return "EV_REL"
        case EV_ABS: return "EV_ABS"
        case EV_MSC: return "EV_MSC"
        case EV_SW : return "EV_SW"
        case EV_LED: return "EV_LED"
        case EV_SND: return "EV_SND"
        case EV_REP: return "EV_REP"
        case EV_FF : return "EV_FF"
        case EV_PWR: return "EV_PWR"
        case EV_FF_STATUS: return "EV_FF_STATUS"
        case EV_MAX: return "EV_MAX"
        case EV_CNT: return "EV_CNT"
        default: return fmt.Sprintf("Unknown event %d", e)
    }
}


 

